## qyanu-bash-tweaks 1.0.0

=== Makefile ===
default:
	@echo "use \`make install\` to install qyanu bash tweaks and use for new users"
	@echo "use \`make edit-home-bashrc\` to use qyanu bash tweaks for your current user"

install:
	install --mode=u=rw,og=r -T "$(CURDIR)/profile.d/qyanu-bash-aliases.sh" /etc/profile.d/qyanu-bash-aliases.sh
	install --mode=u=rw,og=r -T "$(CURDIR)/profile.d/qyanu-bash-prompt.sh" /etc/profile.d/qyanu-bash-promp.sh
	touch /etc/skel/.bashrc
	$(CURDIR)/edit-bashrc.sh /etc/skel/.bashrc

edit-home-bashrc:
	touch $(HOME)/.bashrc
	$(CURDIR)/edit-bashrc.sh $(HOME)/.bashrc

## qyanu-bash-tweaks 1.0.1

=== Makefile ===
SHELL := /bin/bash
PACKAGE := qyanu-bash-tweaks

all:
	@echo "done."

install:
	install --owner=root --group=root --mode=0755 \
		-d $(DESTDIR)/etc/profile.d/
	install --owner=root --group=root --mode=0755 \
		-d $(DESTDIR)/usr/share/$(PACKAGE)/
	install --owner=root --group=root --mode=0644 \
		profile.d/qyanu-bash-aliases.sh \
		profile.d/qyanu-bash-prompt.sh \
		$(DESTDIR)/etc/profile.d/
	install --owner=root --group=root --mode=755 \
		edit-bashrc.sh \
		$(DESTDIR)/usr/share/$(PACKAGE)/

=== debian/changelog ===
qyanu-bash-tweaks (1.0.1) bookworm; urgency=medium

  * convert to debian package
  * FIX lintian: script-not-executable [etc/profile.d/qyanu-bash-aliases.sh]

 -- Max-Julian Pogner <max-julian@pogner.at>  Sat, 16 Dec 2023 19:37:30 +0100

qyanu-bash-tweaks (1.0.0) unstable; urgency=medium

  * convert version 1.0.0 to debian package

 -- Max-Julian Pogner <max-julian@pogner.at>  Sat, 16 Dec 2023 10:45:41 +0100

=== debian/control ===
Source: qyanu-bash-tweaks
Standards-Version: 4.6.2
Maintainer: Max-Julian Pogner <max-julian@pogner.at>
Priority: optional
Section: shells
Build-Depends:
  debhelper-compat (= 13)
Rules-Requires-Root: binary-targets

Package: qyanu-bash-tweaks
Architecture: all
Depends:
  ${misc:Depends}
Description: qyanu's personal tweaks to the interactive bash shell
 qyanu's personal bash tweaks, such as aliases and PROMPT_COMMAND,
 loaded through the systems /etc/profile.d facility.

## qyanu-bash-tweaks 1.1.0%2Btrixie.1

=== debian/changelog ===
qyanu-bash-tweaks (1.1.0+trixie.1) trixie; urgency=medium

  * convert to trixie
  * bump debian policy version to 4.7.3 (no change required)

 -- Max-Julian Pogner <max-julian@pogner.at>  Sun, 28 Dec 2025 16:22:29 +0100

qyanu-bash-tweaks (1.1.0) bookworm; urgency=medium

  * FIX: typo in edit-bashrc makes bashrc not loading prompt
  * d/: use DPKG_ROOT in postinst
  * d/: update all bashrc using qyanu-bash-tweaks in postinst
  * release 1.1.0

 -- Max-Julian Pogner <max-julian@pogner.at>  Sun, 28 Dec 2025 16:14:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: qyanu-bash-tweaks
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Maintainer: Max-Julian Pogner <max-julian@pogner.at>
 Priority: optional
 Section: shells

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
%:
	dh $@

## qyanu-bash-tweaks 1.1.1

=== debian/changelog ===
qyanu-bash-tweaks (1.1.1) trixie; urgency=medium

  * FIX: postinst: use of bashism in posix/dash script

 -- Max-Julian Pogner <max-julian@pogner.at>  Sun, 28 Dec 2025 17:16:15 +0100
